﻿#Region "Imports"
Imports System.Environment
#End Region

Public Class frmHDNotes
#Region "Deklaration/Initialization"
    Dim _db As String = "db.xml"
#End Region

#Region "Misc"
    Private Sub Form_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        loadDB()
    End Sub
    Private Sub Form1_Closing(sender As Object, e As CancelEventArgs) Handles Me.Closing
        saveDB()
    End Sub
#End Region

#Region "DataSetStuff"
    Public Sub loadDB()
        HDDS.Clear()
        If IO.File.Exists(_db) Then
            HDDS.ReadXml(_db)
        End If
    End Sub

    Public Sub saveDB()
        Me.Validate()
        HDDS.WriteXml(_db)
    End Sub

    Private Sub btn_AddCategory_Click(sender As Object, e As EventArgs) Handles btn_AddCategory.Click
        Dim frmAddCategory As New frmNewOrEditCategory
        'HDDTC = HelpDeskDataTable for Categorys 
        frmAddCategory.HDDTCBindingSource.DataSource = Me.HDDTCBindingSource.AddNew()
        frmAddCategory.ShowDialog(Me)
    End Sub

    Private Sub btn_deleteCategory_Click(sender As Object, e As EventArgs) Handles btn_deleteCategory.Click
        'HDDTC = HelpDeskDataTable for Category
        HDDTCBindingSource.RemoveCurrent()
    End Sub

    Private Sub btn_editCategory_Click(sender As Object, e As EventArgs) Handles btn_editCategory.Click
        Dim frmEditCategory As New frmNewOrEditCategory
        'HDDTC = HelpDeskDataTable for Category
        frmEditCategory.HDDTCBindingSource.DataSource = Me.HDDTCBindingSource.Current
        frmEditCategory.ShowDialog(Me)
    End Sub


    Private Sub btn_AddNote_Click(sender As Object, e As EventArgs) Handles btn_AddNote.Click
        Dim frmAddNote As New frmNewOrEditNote
        'HDDTN = HelpDeskDataTable for Notes
        frmAddNote.HDDTNBindingSource.DataSource = Me.HDDTNBindingSource.AddNew()
        'HDDTC = HelpDeskDataTable for Category
        frmAddNote.HDDTCBindingSource.DataSource = Me.HDDTCBindingSource.Current
        frmAddNote.ShowDialog(Me)
    End Sub

    Private Sub btn_DeleteNote_Click(sender As Object, e As EventArgs) Handles btn_DeleteNote.Click
        'HDDTN = HelpDeskDataTable for Notes
        HDDTNBindingSource.RemoveCurrent()
    End Sub

    Private Sub btn_EditNote_Click(sender As Object, e As EventArgs) Handles btn_EditNote.Click
        Dim frmEditNote As New frmNewOrEditNote
        'HDDTN = HelpDeskDataTable for Notes
        frmEditNote.HDDTNBindingSource.DataSource = Me.HDDTNBindingSource.Current
        frmEditNote.ShowDialog(Me)
    End Sub
#End Region
End Class